<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: face.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>face.c File Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8733c479f4efa8f8d006c13ee4253f5e">mface</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new face.  <a href="group__m17nFace.html#ga8733c479f4efa8f8d006c13ee4253f5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga218d370d5bc476d5a6fba4633ad69d0a">mface_copy</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Make a copy of a face.  <a href="group__m17nFace.html#ga218d370d5bc476d5a6fba4633ad69d0a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga112cbaf7a88f3557cd32797819c350e2">mface_equal</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face1, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare faces.  <a href="group__m17nFace.html#ga112cbaf7a88f3557cd32797819c350e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga53437ed4392e313491cdd7d2cbfd5d98">mface_merge</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *dst, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *src)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Merge faces.  <a href="group__m17nFace.html#ga53437ed4392e313491cdd7d2cbfd5d98"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gafe62e34ba63c1230ff9243f1bfb075a3">mface_from_font</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Make a face from a font.  <a href="group__m17nFace.html#gafe62e34ba63c1230ff9243f1bfb075a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gad2ef5c2ddbef0dfded0c572653c92972">mface_get_prop</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the value of a face property.  <a href="group__m17nFace.html#gad2ef5c2ddbef0dfded0c572653c92972"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga7411a88b5acc10b19448e031991c9056">mface_get_hook</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the hook function of a face.  <a href="group__m17nFace.html#ga7411a88b5acc10b19448e031991c9056"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gab139e1dbaaba45a8d8d6acbdda076f34">mface_put_prop</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set a value of a face property.  <a href="group__m17nFace.html#gab139e1dbaaba45a8d8d6acbdda076f34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga77281fe20f450bf635676ece8e8c83da">mface_put_hook</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a> func)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set a hook function to a face.  <a href="group__m17nFace.html#ga77281fe20f450bf635676ece8e8c83da"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga38119a4121db3158b5ee4b4b803d03a3">mface_update</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Update a face.  <a href="group__m17nFace.html#ga38119a4121db3158b5ee4b4b803d03a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga300fc806866e630fda617ff8cc135615">mdebug_dump_face</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump a face.  <a href="group__m17nDebug.html#ga300fc806866e630fda617ff8cc135615"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Variables: Keys of face property</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp4be157c49bb87cba1e6dc3f1d889ea4f"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f">Mforeground</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying foreground color.  <a href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca">Mbackground</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying background color.  <a href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a">Mvideomode</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying video mode.  <a href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c">Mratio</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying font size ratio.  <a href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543">Mhline</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying horizontal line.  <a href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f">Mbox</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying box.  <a href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f">Mfontset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying fontset.  <a href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227">Mhook_func</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying hook.  <a href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684">Mhook_arg</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying argument of hook.  <a href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684"></a><br/></td></tr>
<tr><td colspan="2"><div class="groupHeader">Variables: Possible values of #Mvideomode property of face</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpc57fd40af057a3bf3b63fca83e8ea66a"></a> See the documentation of the variable <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="Key of a face property specifying video mode.">Mvideomode</a>. </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gac640438a418e8fea7bb85acaf72439c2">Mnormal</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga243e73adf0d31fe7497262c5b8a19c16">Mreverse</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">Variables: Predefined faces</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp628cf4b57e7501a8133c1db94d57fe52"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842">mface_normal_video</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Normal video face.  <a href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b">mface_reverse_video</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Reverse video face.  <a href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3">mface_underline</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Underline face.  <a href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d">mface_medium</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Medium face.  <a href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399">mface_bold</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Bold face.  <a href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c">mface_italic</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Italic face.  <a href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f">mface_bold_italic</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Bold italic face.  <a href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c">mface_xx_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Smallest face.  <a href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a">mface_x_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Smaller face.  <a href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gacfd385bdf0694027519083543fb44ea7">mface_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Small face.  <a href="group__m17nFace.html#gacfd385bdf0694027519083543fb44ea7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d">mface_normalsize</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Normalsize face.  <a href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25">mface_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Large face.  <a href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f">mface_x_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Larger face.  <a href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc">mface_xx_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Largest face.  <a href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb">mface_black</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Black face.  <a href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70">mface_white</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">White face.  <a href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1">mface_red</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Red face.  <a href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3">mface_green</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Green face.  <a href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8">mface_blue</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Blue face.  <a href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896">mface_cyan</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Cyan face.  <a href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac">mface_yellow</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">yellow face.  <a href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342">mface_magenta</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Magenta face.  <a href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342"></a><br/></td></tr>
<tr><td colspan="2"><div class="groupHeader">Variables: The other symbols for face handling.</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpda0263f6ff63e206b4015f7bbe0acb58"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789">Mface</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a text property specifying a face.  <a href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789"></a><br/></td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
